MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027091Community[OCCT] OCCT:Codingpublic2016-01-20 06:432016-04-20 15:49
ReporterEpy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformUbuntu 15.10 x64OSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027091: 7.0.0 beta Clang OOP -Wall warnings - missing overrides and undefined internal linkages
DescriptionCompiling the OCCT 7.0.0 beta tarball using Clang 3.6.2 under Ubuntu 15.10 x64, the following warnings are issued (overloaded virtual warnings are excluded):

/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:27:48: warning: 'CreateDocument' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:30:32: warning: 'Read' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:27:48: warning: 'CreateDocument' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:30:32: warning: 'Read' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/Standard/Standard_Type.hxx:169:34: warning: variable 'opencascade::type_instance<(anonymous namespace)::BRepBuilderAPI_Copy_Modification>::myInstance' has internal linkage but is not defined [-Wundefined-internal]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:27:48: warning: 'CreateDocument' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:30:32: warning: 'Read' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdDrivers/StdDrivers_DocumentRetrievalDriver.hxx:24:32: warning: 'BindTypes' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:27:48: warning: 'CreateDocument' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx:30:32: warning: 'Read' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/StdDrivers/StdDrivers_DocumentRetrievalDriver.hxx:24:32: warning: 'BindTypes' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
/home/jake/opencascade-7.0.0-beta/src/Standard/Standard_Type.hxx:169:34: warning: variable 'opencascade::type_instance<(anonymous namespace)::VUserDrawObj>::myInstance' has internal linkage but is not defined [-Wundefined-internal]
Steps To Reproduceuse -Wall compiler option
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027106closedbugmaster Unresolved external symbols during build a 3rdparty tools in release mode 

-  Notes
(0049963)
kgv (developer)
2016-01-20 11:04

The issue should be already resolved with integration "Fix of compiler warnings on OCCT 7.0.0.beta (CLang and VC++ 14)" (2016-01-03, abv).
(0049990)
abv (manager)
2016-01-21 09:00

Yes, these are fixed in master. Igor, please change the status to Verified.

- Related Changesets
occt: master 8bb8064e
Timestamp: 2015-12-27 11:48:22
Author: abv
Committer: abv
Details ] Diff ]
Fix of compiler warnings on OCCT 7.0.0.beta (CLang and VC++ 14)
mod - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
mod - src/Standard/Standard_Type.hxx Diff ] File ]
mod - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-20 06:43 Epy New Issue
2016-01-20 06:43 Epy Assigned To => kgv
2016-01-20 11:04 kgv Note Added: 0049963
2016-01-20 11:04 kgv Assigned To kgv => abv
2016-01-20 11:04 kgv Status new => feedback
2016-01-20 11:04 kgv Product Version => 7.0.0
2016-01-20 11:04 kgv Target Version => 7.0.0
2016-01-21 09:00 abv Note Added: 0049990
2016-01-21 09:00 abv Assigned To abv => bugmaster
2016-01-21 09:00 abv Status feedback => tested
2016-01-21 09:02 abv Changeset attached => occt master 8bb8064e
2016-01-21 12:36 bugmaster Status tested => verified
2016-01-21 12:36 bugmaster Resolution open => fixed
2016-01-25 10:39 abv Relationship added related to 0027106
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker